#include "speaker.h"
#include "beep.h"

Sound s;

void SpeakerInit(){
  InitAudioDevice(); // Initialize audio device
  Wave w=LoadWaveFromMemory(".mp3", beep, sizeof(beep));
  s=LoadSoundFromWave(w);
}

void SpeakerPlay(){
  PlaySound(s);
}

void SpeakerStop(){
  StopSound(s);
}

void SpeakerFinish(){
  CloseAudioDevice();
}
